# Game.WorldLocation Class Reference

Inherits Game::WorldEntity, and Game::WorldEntity.

Collaboration diagram for Game.WorldLocation:

[legend]

List of all members.

## Public Member Functions
| WorldLocation ()
| WorldLocation (Vector3 vec)
float | Distance (WorldLocation otherLocation)
| WorldLocation ()
| WorldLocation (Vector3 vec)
float | Distance (WorldLocation otherLocation)
## Static Public Member Functions
static float | Distance (WorldLocation loc1, WorldLocation loc2)
static float | Distance (WorldLocation loc1, WorldLocation loc2)
## Public Attributes
SceneNode | nodeLocation
float | radius = 2.0f

## Detailed Description

Definition at line 25 of file WorldLocation.cs.

## Constructor & Destructor Documentation

Game.WorldLocation.WorldLocation | ( |  | ) |

Definition at line 30 of file WorldLocation.cs.

Game.WorldLocation.WorldLocation | ( | Vector3 | vec | ) |

Definition at line 34 of file WorldLocation.cs.

Game.WorldLocation.WorldLocation | ( |  | ) |

Definition at line 30 of file WorldLocation.cs.

Game.WorldLocation.WorldLocation | ( | Vector3 | vec | ) |

Definition at line 34 of file WorldLocation.cs.

## Member Function Documentation

static float Game.WorldLocation.Distance | ( | WorldLocation | loc1,
|  | WorldLocation | loc2 |
| ) |  |  | `[static]`

Definition at line 50 of file WorldLocation.cs.

float Game.WorldLocation.Distance | ( | WorldLocation | otherLocation | ) |

Definition at line 40 of file WorldLocation.cs.

static float Game.WorldLocation.Distance | ( | WorldLocation | loc1,
|  | WorldLocation | loc2 |
| ) |  |  | `[static]`

Definition at line 50 of file WorldLocation.cs.

Here is the call graph for this function:

float Game.WorldLocation.Distance | ( | WorldLocation | otherLocation | ) |

Definition at line 40 of file WorldLocation.cs.

Here is the caller graph for this function:

## Member Data Documentation

SceneNode Game.WorldLocation::nodeLocation

Definition at line 27 of file WorldLocation.cs.

float Game.WorldLocation::radius = 2.0f

Definition at line 28 of file WorldLocation.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/WorldLocation.cs
- D:/guillaume/guillara/3D/DXGfx/World/WorldLocation.cs